> ## Documentation Index
> Fetch the complete documentation index at: https://developers.phrase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a content group

> Deletes the content group and all its object references.



## OpenAPI

````yaml /openapi/phrase-control-hub.json delete /api/v1/public/groups/{groupId}
openapi: 3.0.0
info:
  version: 1.0.16
  title: Control Hub Service
  license:
    name: Proprietary
servers:
  - url: https://eu.phrase.com/control-hub/
security: []
tags:
  - name: Groups
    x-displayName: Content Groups
    description: |
      Organisation-scoped generic content groups and their object references.
paths:
  /api/v1/public/groups/{groupId}:
    delete:
      tags:
        - Groups
      summary: Delete a content group
      description: Deletes the content group and all its object references.
      operationId: deleteGroup
      parameters:
        - name: groupId
          in: path
          required: true
          description: Content group identifier
          schema:
            type: string
      responses:
        '204':
          $ref: '#/components/responses/204'
        '401':
          $ref: '#/components/responses/401'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
components:
  responses:
    '204':
      description: Operation performed successfully, no content returned
    '401':
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    '404':
      description: Not Found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    '500':
      description: Internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      required:
        - code
        - message
      properties:
        code:
          title: Error code
          example: NotBlank/NotFound/Error/...
          type: string
        message:
          title: Error message
          example: Organization UID cannot be null
          type: string
        args:
          title: >-
            Map of error arguments - so they are not needed to be parsed from
            the message
          type: object
          additionalProperties: true
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ErrorEntry'
          description: list of errors this error consist of
    ErrorEntry:
      required:
        - code
        - message
      properties:
        message:
          type: string
          description: Error message
        code:
          type: string
          description: Error code
        args:
          type: object
          additionalProperties: true
          description: More information about error

````